## sanlock 2.2

=== python/Makefile ===
# Copyright 2010-2011 Red Hat, Inc.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.

all:
	python setup.py build

install:
	python setup.py install --root=$(DESTDIR)

clean:
	rm -rf build
