=== debian/changelog ===
sanlock (2.2-2) unstable; urgency=low

  * Fix CVE-2012-5638 sanlock world writable /var/log/sanlock.log.
    Thanks to Salvatore Bonaccorso (Closes: #696424)
    Add patches cherry-picked from git repository:
     - 0001-sanlock-remove-umask-0.patch
     - 0001-sanlock-use-lockfile-mode-644.patch
     - 0001-wdmd-use-lockfile-mode-644.patch
  * Replace restrict field name (Closes: #689696)
    Add patch cherry-picked from git repository:
     - restrict.patch

 -- David Weber <wb@munzinger.de>  Thu, 03 Jan 2013 22:12:33 +0100

sanlock (2.2-1) unstable; urgency=low

  * Initial release. (Closes: #669102)

 -- David Weber <wb@munzinger.de>  Tue, 29 May 2012 13:38:45 +0200
