=== debian/control ===
Source: sanlock
Section: libs
Standards-Version: 3.9.3
Priority: optional
Homepage: https://fedorahosted.org/sanlock/
Maintainer: David Weber <wb@munzinger.de>
Build-Depends: libaio-dev,
 libblkid1,
 libblkid-dev,
 debhelper (>= 8),

Package: sanlock
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Architecture: any
Description: shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than 
 one running VM at a time, across any host in a network.
 This package contains the binaries and private shared libraries

Package: libsanlock-client1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than 
 one running VM at a time, across any host in a network.
 This package contains the pulbic shared library for libvirt


Package: libsanlock-dev
Depends: ${misc:Depends}, libsanlock-client1 (= ${binary:Version}), sanlock (= ${binary:Version})
Architecture: any
Section: libdevel
Description: shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than 
 one running VM at a time, across any host in a network.
 This package contains the header files and static libraries.
