## sanlock 3.2.4

=== debian/changelog ===
sanlock (3.2.4-1) unstable; urgency=low

  * Bump to 3.2.4
    New version 3.2.4

 -- Sandro Bonazzola <sbonazzo@redhat.com>  Fri, 26 Jun 2015 10:21:34 +0100
