=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: libaio-dev,
  libblkid1,
  libblkid-dev,
- debhelper (>= 8),
+ debhelper (>= 9),
 
 Package: sanlock
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Description: shared storage lock manager
  Sanlock ensures that single disk cannot be used by more than 
@@ -19,15 +20,16 @@
 
 Package: libsanlock-client1
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Description: shared storage lock manager (client library)
  Sanlock ensures that single disk cannot be used by more than 
  one running VM at a time, across any host in a network.
  This package contains the pulbic shared library for libvirt
 
-
 Package: libsanlock-dev
 Depends: ${misc:Depends}, libsanlock-client1 (= ${binary:Version}), sanlock (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Section: libdevel
 Description: shared storage lock manager (development files)
@@ -35,3 +37,11 @@
  one running VM at a time, across any host in a network.
  This package contains the header files and static libraries.
 
+Package: sanlock-python
+Depends: ${shlibs:Depends}, ${misc:Depends}, sanlock (= ${binary:Version})
+Architecture: any
+Description: Python bindings for the sanlock library
+ The sanlock-python package contains a module that permits applications
+ written in the Python programming language to use the interface
+ supplied by the sanlock library.
+
