## sanlock 3.3.0

=== debian/changelog ===
sanlock (3.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libsanlock1 as a dependency of libsanlock-dev. (Closes: #858500)
  * Move libsanlock.so and libwdmd.so out of /usr/lib/sanlock into
    /usr/lib to fix broken symlinks.

 -- Anton Gladky <gladk@debian.org>  Fri, 24 Mar 2017 13:11:12 +0100

sanlock (3.3.0-2) unstable; urgency=low

  * Typo in LGPL copyright section label fixed.

 -- Milan Zamazal <mzamazal@redhat.com>  Fri, 25 Mar 2016 20:37:58 +0100

sanlock (3.3.0-1) unstable; urgency=low

  * New upstream version; closes: #695859.
  * New maintainer: Milan Zamazal <mzamazal@redhat.com>
  * New package: libsanlock1
  * New package: python-sanlock
  * Standards 3.9.7 (no real change).
  * debian/copyright: Updated and converted to the machine-readable format.
  * sanlock's home set to /nonexistent.
  * systemd support added.

 -- Milan Zamazal <mzamazal@redhat.com>  Mon, 21 Mar 2016 16:48:05 +0100
