=== debian/control ===
Source: sanlock
Section: libs
Standards-Version: 3.9.7
Priority: optional
Homepage: https://fedorahosted.org/sanlock/
Maintainer: Milan Zamazal <mzamazal@redhat.com>
Build-Depends: libaio-dev,
 libblkid1,
 libblkid-dev,
 debhelper (>= 9),
 dh-python,
 dh-systemd (>= 1.5),
 python-all-dev

Package: sanlock
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Architecture: any
Description: Shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the binaries and private shared libraries.

Package: libsanlock-client1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the public shared library for libvirt.

Package: libsanlock1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Shared storage lock manager (shared library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains libsanlock shared library.

Package: libsanlock-dev
Depends: ${misc:Depends}, libsanlock-client1 (= ${binary:Version}), sanlock (= ${binary:Version}), libsanlock1 (= ${binary:Version})
Architecture: any
Section: libdevel
Description: Shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the header files and static libraries.

Package: python-sanlock
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, libsanlock1 (= ${binary:Version})
Built-Using: ${Built-Using}
Section: python
Provides: ${python:Provides}
Description: Python bindings to shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the Python bindings.
