=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,11 @@
 #!/usr/bin/make -f
+
 DEB_BUILDDIR := $(CURDIR)/debian/build
+
+LD_LIBRARY_PATH := /usr/lib/sanlock:$(LD_LIBRARY_PATH)
+#LD_LIBRARY_PATH=/usr/lib/sanlock:${LD_LIBRARY_PATH}
+#LD_LIBRARY_PATH=/usr/lib/sanlock:$(LD_LIBRARY_PATH) dh_shlibdeps
+#LD_LIBRARY_PATH := /usr/lib/sanlock
 
 override_dh_auto_build:
 	dh_auto_build -D wdmd
@@ -22,18 +28,16 @@
 	dh_auto_install -D python
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib
+	dh_makeshlibs -X/usr/lib/sanlock
 
 override_dh_auto_test:
 	dh_auto_test -D wdmd
 	dh_auto_test -D src
 	dh_auto_test -D python
 
-
 override_dh_installinit:
-	dh_installinit -psanlock --name=wdmd --no-restart-on-upgrade  
-	dh_installinit -psanlock --name=sanlock --no-restart-on-upgrade 
+	dh_installinit -psanlock --name=wdmd --no-restart-on-upgrade --no-start
+	dh_installinit -psanlock --name=sanlock --no-restart-on-upgrade
 
 %:
-	dh $@
-
+	dh $@ --with=python2,systemd
