## sanlock 3.6.0

=== src/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 LIB_ENTIRE_TARGET = libsanlock
 LIB_CLIENT_TARGET = libsanlock_client
+LIBPC_ENTIRE_TARGET = libsanlock.pc
+LIBPC_CLIENT_TARGET = libsanlock_client.pc
 LIBSO_ENTIRE_TARGET = $(LIB_ENTIRE_TARGET).so.$(SOMAJOR).$(SOMINOR)
 LIBSO_CLIENT_TARGET = $(LIB_CLIENT_TARGET).so.$(SOMAJOR).$(SOMINOR)
 
@@ -21,12 +23,15 @@
 	delta_lease.c \
 	direct.c \
 	diskio.c \
+	ondisk.c \
+	helper.c \
 	lockspace.c \
 	lockfile.c \
 	log.c \
 	main.c \
 	paxos_lease.c \
 	task.c \
+	timeouts.c \
 	resource.c \
 	watchdog.c \
 	monotime.c \
@@ -39,10 +44,12 @@
 	sanlock_sock.c \
 	crc32c.c \
 	diskio.c \
+	ondisk.c \
 	delta_lease.c \
 	paxos_lease.c \
 	direct.c \
 	task.c \
+	timeouts.c \
 	direct_lib.c \
 	monotime.c
 
@@ -50,7 +57,18 @@
 	client.c \
 	sanlock_sock.c
 
-CFLAGS += -D_GNU_SOURCE -g \
+LIBPC_ENTIRE_SOURCE = libsanlock.pc.in
+LIBPC_CLIENT_SOURCE = libsanlock_client.pc.in
+
+OPTIMIZE_FLAG = -O2 -Wp,-D_FORTIFY_SOURCE=2
+ifeq ($(DEBUG), 1)
+   OPTIMIZE_FLAG = -O0
+   CFLAGS += -g
+endif
+
+
+
+CFLAGS += -D_GNU_SOURCE \
 	-Wall \
 	-Wformat \
 	-Wformat-security \
@@ -65,10 +83,15 @@
 	-Winline \
 	-Wredundant-decls \
 	-Wno-sign-compare \
-	-Wp,-D_FORTIFY_SOURCE=2 \
+	-Wno-strict-overflow \
 	-fexceptions \
 	-fasynchronous-unwind-tables \
-	-fdiagnostics-show-option
+	-fdiagnostics-show-option \
+	$(OPTIMIZE_FLAG) \
+	$(NULL)
+
+VER=$(shell cat ../VERSION)
+CFLAGS += -DVERSION=\"$(VER)\"
 
 CMD_CFLAGS = $(CFLAGS) -fPIE -DPIE
 
@@ -80,8 +103,7 @@
 
 LIB_CLIENT_LDFLAGS += -Wl,-z,relro -pie
 
-
-all: $(LIBSO_ENTIRE_TARGET) $(LIBSO_CLIENT_TARGET) $(CMD_TARGET)
+all: $(LIBSO_ENTIRE_TARGET) $(LIBSO_CLIENT_TARGET) $(CMD_TARGET) $(LIBPC_ENTIRE_TARGET) $(LIBPC_CLIENT_TARGET)
 
 $(LIBSO_ENTIRE_TARGET): $(LIB_ENTIRE_SOURCE)
 	$(CC) $(CFLAGS) $(LIB_ENTIRE_LDFLAGS) -shared -fPIC -o $@ -Wl,-soname=$(LIB_ENTIRE_TARGET).so.$(SOMAJOR) $^
@@ -96,9 +118,14 @@
 $(CMD_TARGET): $(LIBSO_ENTIRE_TARGET) $(CMD_SOURCE)
 	$(CC) $(CMD_CFLAGS) $(CMD_LDFLAGS) $(CMD_SOURCE) $(CMD_LDADD) -o $@ -L.
 
+$(LIBPC_ENTIRE_TARGET): $(LIBPC_ENTIRE_SOURCE)
+	sed -e "s/@VERSION@/$(VER)/" $(LIBPC_ENTIRE_SOURCE) > $(LIBPC_ENTIRE_TARGET)
+
+$(LIBPC_CLIENT_TARGET): $(LIBPC_CLIENT_SOURCE)
+	sed -e "s/@VERSION@/$(VER)/" $(LIBPC_CLIENT_SOURCE) > $(LIBPC_CLIENT_TARGET)
+
 clean:
-	rm -f *.o *.so *.so.* $(CMD_TARGET)
-
+	rm -f *.o *.so *.so.* $(CMD_TARGET) $(LIBSO_ENTIRE_TARGET) $(LIBSO_CLIENT_TARGET) $(LIBPC_ENTIRE_TARGET) $(LIBPC_CLIENT_TARGET)
 
 INSTALL=$(shell which install)
 
@@ -114,9 +141,12 @@
 	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)
 	$(INSTALL) -d $(DESTDIR)/$(HEADIR)
 	$(INSTALL) -d $(DESTDIR)/$(MANDIR)/man8
+	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)/pkgconfig
 	$(INSTALL) -c -m 755 $(CMD_TARGET) $(DESTDIR)/$(BINDIR)
 	$(INSTALL) -c -m 755 $(LIBSO_ENTIRE_TARGET) $(DESTDIR)/$(LIBDIR)
 	$(INSTALL) -c -m 755 $(LIBSO_CLIENT_TARGET) $(DESTDIR)/$(LIBDIR)
+	$(INSTALL) -c -m 644 $(LIBPC_ENTIRE_TARGET) $(DESTDIR)/$(LIBDIR)/pkgconfig
+	$(INSTALL) -c -m 644 $(LIBPC_CLIENT_TARGET) $(DESTDIR)/$(LIBDIR)/pkgconfig
 	cp -a $(LIB_ENTIRE_TARGET).so $(DESTDIR)/$(LIBDIR)
 	cp -a $(LIB_CLIENT_TARGET).so $(DESTDIR)/$(LIBDIR)
 	cp -a $(LIB_ENTIRE_TARGET).so.$(SOMAJOR) $(DESTDIR)/$(LIBDIR)
