=== debian/changelog ===
sanlock (3.6.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:57:01 +0100

sanlock (3.6.0-4) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:46:10 +0500

sanlock (3.6.0-3) unstable; urgency=medium

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jul 2018 14:44:29 +0200

sanlock (3.6.0-2) unstable; urgency=medium

  * Add sanlock user to disk group only after the user is created, thanks
    to Christian Ehrhardt; closes: #888721.
  * Create missing systemd-wdmd file, thanks to Christian Ehrhardt;
    closes: #854696.

 -- Milan Zamazal <pdm@debian.org>  Tue, 06 Feb 2018 21:34:07 +0100

sanlock (3.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Fix of typo in adduser --gecos postinst invocation, thanks to Ralf
    Treinen; closes: #846249.
  * Add `sanlock' user to `disk' group, thanks to Charlie Smurthwaite;
    closes: #888102.

 -- Milan Zamazal <pdm@debian.org>  Sat, 27 Jan 2018 22:23:50 +0100

sanlock (3.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install pkgconfig files. (closes: #880118)

 -- Bastian Blank <waldi@debian.org>  Tue, 31 Oct 2017 16:06:54 +0000
