=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Standards-Version: 3.9.7
 Priority: optional
 Homepage: https://fedorahosted.org/sanlock/
-Maintainer: Milan Zamazal <mzamazal@redhat.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: libaio-dev,
  libblkid1,
  libblkid-dev,
  debhelper (>= 9),
- dh-python,
  dh-systemd (>= 1.5),
- python-all-dev
 
 Package: sanlock
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
@@ -48,15 +46,3 @@
  one running VM at a time, across any host in a network.
  .
  This package contains the header files and static libraries.
-
-Package: python-sanlock
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, libsanlock1 (= ${binary:Version})
-Built-Using: ${Built-Using}
-Section: python
-Provides: ${python:Provides}
-Description: Python bindings to shared storage lock manager
- Sanlock ensures that single disk cannot be used by more than
- one running VM at a time, across any host in a network.
- .
- This package contains the Python bindings.
