=== debian/changelog ===
sanlock (3.8.2-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer Closes: #903571
  * New package: python3-sanlock
  * d/*.symbols:
    - Update symbols
    - Add Build-Depends-Package: libsanlock-dev
  * Switch to debhelper-compat
    - d/control: Replace debhelper with debhelper-compat
    - Remove d/compat
  * d/control:
    - Bump debhelper to 12
    - Update Standards-Version to 4.4.1
    - Drop dh-systemd as build dependency Closes: #958620
    - Update homepage
    - Add Rules-Requires-Root: no
    - Add Pre-Depends: ${misc:Pre-Depends} for sanlock
  * d/patches:
    - Rebase patches
    - Remove patches which is no longer needed.
    - Add fix_man-page_macro.patch
    - Add fix_typo.patch
  * d/changelog: Remove whitespace
  * d/copyright:
    - Change to secure URI
    - Update year
    - Move debian/* to a separate file paragraph
  * d/watch: Add file
  * d/*.service: Add documentation-key
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse.
  * d/rules: Change to Debian specific init.d script LP: #1745986
    This is the same file implemented in bug: #854696

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 01 Oct 2020 16:56:30 +0200
