=== debian/control ===
Source: sanlock
Section: libs
Priority: optional
Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
Build-Depends: debhelper-compat(=12),
 dh-python,
 libaio-dev,
 libblkid1,
 libblkid-dev,
 python3-dev,
Standards-Version: 4.4.1
Homepage: https://www.pagure.io/sanlock/
Rules-Requires-Root: no

Package: sanlock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Pre-Depends: ${misc:Pre-Depends}
Description: Shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the binaries and private shared libraries.

Package: libsanlock-client1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the public shared library for libvirt.

Package: libsanlock1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared storage lock manager (shared library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains libsanlock shared library.

Package: libsanlock-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsanlock-client1 (= ${binary:Version}),
         libsanlock1 (= ${binary:Version}),
         sanlock (= ${binary:Version}),
Description: Shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the header files and static libraries.

Package: python3-sanlock
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libsanlock1 (= ${binary:Version})
Built-Using: ${Built-Using}
Provides: ${python3:Provides}
Description: Python3 bindings to shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the Python3 bindings.
