=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PY_VERSION = $(shell py3versions -dv)

#LD_LIBRARY_PATH := /usr/lib/sanlock:$(LD_LIBRARY_PATH)
#LD_LIBRARY_PATH=/usr/lib/sanlock:${LD_LIBRARY_PATH}
#LD_LIBRARY_PATH=/usr/lib/sanlock:$(LD_LIBRARY_PATH) dh_shlibdeps
#LD_LIBRARY_PATH := /usr/lib/sanlock

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -D wdmd
	dh_auto_build -D src
	dh_auto_build -D python

override_dh_auto_clean:
	dh_auto_clean -D wdmd
	dh_auto_clean -D src
	dh_auto_clean -D python

override_dh_auto_configure:
	dh_auto_configure -D wdmd
	dh_auto_configure -D src
	dh_auto_configure -D python

override_dh_auto_install:
	dh_auto_install -D wdmd
	dh_auto_install -D src
	dh_auto_install -D python

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/sanlock

override_dh_installsystemd:
	dh_installsystemd --name=wdmd --no-stop-on-upgrade --no-start
	dh_installsystemd --name=sanlock --no-stop-on-upgrade

override_dh_installinit:
	dh_installinit -psanlock --name=wdmd --no-stop-on-upgrade --no-start
	install -D -m 0755 debian/sanlock.wdmd.init debian/sanlock/lib/systemd/systemd-wdmd
	dh_installinit -psanlock --name=sanlock --no-stop-on-upgrade
