=== debian/changelog ===
sanlock (3.8.4-1build2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:31:40 +0000

sanlock (3.8.4-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:29:46 +0000

sanlock (3.8.4-1) unstable; urgency=medium

  * New upstream version 3.8.4
  * upload to unstable
  * d/README.Source: Remove file, information no longer applies.
  * Move package into Vcs repository
  * Add Build-Profile nopython

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 23 Aug 2021 22:05:31 +0200

sanlock (3.8.3-1) experimental; urgency=medium

  * New upstream version 3.8.3
  * Drop patches applied upstream
  * New package: sanlk-reset
  * d/rules: Drop Python version flag
  * d/control:
    - Remove sanlock as dependency for libsanlock-dev
    - Add packages to suggests field
    - Add multiarch field
    - Bump debhelper to 13

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 18 Feb 2021 17:33:32 +0100

sanlock (3.8.2-2) unstable; urgency=medium

  * d/control: Drop Built-Using field, for Python3 package.
  * Move libraries and pkg-config to a multiarch location Closes: #980335
    Thanks to Helmut Grohne for patch.
  * Move Python example file to correct folder.
  * Change section for the binary package sanlock, from libs to utils.
  * Remove libblkid1 as build-dependency.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 11 Feb 2021 17:09:13 +0100
