=== debian/control ===
Source: sanlock
Section: libs
Priority: optional
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends:
 debhelper-compat(=13),
 dh-sequence-python3 <!nopython>,
 libaio-dev,
 libblkid-dev,
 libpython3-dev <!nopython>,
 python3-dev:native <!nopython>,
 python3-setuptools <!nopython>,
 uuid-dev,
Standards-Version: 4.7.0
Homepage: https://www.pagure.io/sanlock/
Vcs-Browser: https://salsa.debian.org/haava/sanlock
Vcs-Git: https://salsa.debian.org/haava/sanlock.git
Rules-Requires-Root: no

Package: sanlock
Architecture: linux-any
Section: utils
Depends:
 adduser,
 libsanlock1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 python3-sanlock,
 sanlk-reset,
Description: Shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the binaries and private shared libraries.

Package: sanlk-reset
Architecture: linux-any
Section: utils
Depends:
 libsanlock1 (= ${binary:Version}),
 sanlock (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Host reset daemon and client using sanlock
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the reset daemon and client.
 A cooperating host running the daemon can be reset by a host
 running the client, so long as both maintain access to a
 common sanlock lockspace.

Package: libsanlock-client1
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Shared storage lock manager (client library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the public shared library for libvirt.

Package: libsanlock1
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Shared storage lock manager (shared library)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains libsanlock shared library.

Package: libsanlock-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 libsanlock-client1 (= ${binary:Version}),
 libsanlock1 (= ${binary:Version}),
 ${misc:Depends},
Description: Shared storage lock manager (development files)
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the header files and static libraries.

Package: python3-sanlock
Architecture: linux-any
Multi-Arch: same
Build-Profiles: <!nopython>
Section: python
Depends:
 libsanlock1 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: Python3 bindings to shared storage lock manager
 Sanlock ensures that single disk cannot be used by more than
 one running VM at a time, across any host in a network.
 .
 This package contains the Python3 bindings.
